### Hierarchy

- EvolutionTree

### Implements

- Identifyable

## Index

### Constructors

- constructor

### Properties

- futureEvolutions
- id
- name

### Methods

- mapInLevel

## Constructors

### constructor

- new EvolutionTree(name: string, id: string, futureEvolutions?: EvolutionTree[]): EvolutionTree

- - Defined in components/pokemon/shared/evolution-tree.ts:14

  #### Parameters

  - ##### name: string

  - ##### id: string

  - ##### Default value futureEvolutions: EvolutionTree[] = []

  #### Returns EvolutionTree

## Properties

### futureEvolutions

futureEvolutions: EvolutionTree[] = []

- Defined in components/pokemon/shared/evolution-tree.ts:14

### id

id: string

Implementation of Identifyable.id

- Defined in components/pokemon/shared/evolution-tree.ts:13

### name

name: string

Implementation of Identifyable.name

- Defined in components/pokemon/shared/evolution-tree.ts:12

An EvolutionTree represents all possible future evolutions of a pokemon. Mutually exclusive choices are given on the same level, while sequential choices are presented in increasing depth.

For example, Eevee's EvolutionTree would take 6 objects in depth 2, but Charmander's EvolutionTree would take 3 objects in depth 3.

## Methods

### mapInLevel

- mapInLevel(treeLevel: number, mapperFunction: function): EvolutionTree

- - Defined in components/pokemon/shared/evolution-tree.ts:21

  #### Parameters

  - ##### treeLevel: number

  - ##### mapperFunction: function

    - - (EvolutionTree: any): EvolutionTree

      - #### Parameters

        - ##### EvolutionTree: any

        #### Returns EvolutionTree

Generated using TypeDoc